# Résolution des modules
## "Classic"
### "./person" dans /Source/Multimath/player.ts

1. `/Source/Multimath/person.ts`
1. `/Source/Multimath/person.d.ts` (type definition file)

### "person" dans /Source/Multimath/player.ts

1. `/Source/Multimath/person.ts`
1. `/Source/Multimath/person.d.ts`
1. `/Source/person.ts`
1. `/Source/person.d.ts`
1. `/person.ts`
1. `/person.d.ts`

## "Node"
### "./person" dans /Source/Multimath/player.ts

1. `/Source/Multimath/person.ts`
1. `/Source/Multimath/person.tsx` (equivalent de JSX en TS)
1. `/Source/Multimath/person.d.ts` (type definition file)
1. `/Source/Multimath/person/package.json`: s'il existe une propriété `typings` pointant vers un fichier, l'utiliser
1. `/Source/Multimath/index.ts`
1. `/Source/Multimath/index.tsx`
1. `/Source/Multimath/index.d.ts`


### "person" dans /Source/Multimath/player.ts

1. `/Source/Multimath/node_modules/person.ts`
1. `/Source/Multimath/node_modules/person.tsx`
1. `/Source/Multimath/node_modules/person.d.ts`
1. `/Source/Multimath/node_modules/person/package.json#typings` (?)
1. `/Source/Multimath/node_modules/@types/*ts[x]` (?)
1. `/Source/Multimath/node_modules/index.ts`
1. `/Source/Multimath/node_modules/index.tsx`
1. `/Source/Multimath/node_modules/index.d.ts`
1. `/Source/node_modules/person.ts`
1. `/Source/node_modules/person.tsx`
1. `/Source/node_modules/person.d.ts`
1. `/Source/node_modules/person/package.json#typings`
1. `/Source/node_modules/@types/*ts[x]` (?)
1. `/Source/node_modules/index.ts`
1. `/Source/node_modules/index.tsx`
1. `/Source/node_modules/index.d.ts`
1. `/node_modules/person.ts`
1. `/node_modules/person.tsx`
1. `/node_modules/person.d.ts`
1. `/node_modules/person/package.json#typings`
1. `/node_modules/@types/*ts[x]` (?)
1. `/node_modules/index.ts`
1. `/node_modules/index.tsx`
1. `/node_modules/index.d.ts`
1. Then start again with `.js` extension instead of `.ts[x]`.
